Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.change
Class NodeSequencingFailure

    java.lang.Object
      org.modeshape.jcr.cache.change.Change
          org.modeshape.jcr.cache.change.AbstractNodeChange
              org.modeshape.jcr.cache.change.AbstractSequencingChange
                  org.modeshape.jcr.cache.change.NodeSequencingFailure

    public class NodeSequencingFailure

extends AbstractSequencingChange

Change which is triggered if the sequencing of a node fails

Field Summary

Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`path`

Constructor Summary
`NodeSequencingFailure(NodeKey sequencedNodeKey, Path sequencedNodePath, String outputPath, String userId, String selectedPath, String sequencerName, Throwable cause)`

Method Summary
`Throwable` | `getCause()` Get the cause of the failure.
`String` | `toString()`

Methods inherited from class org.modeshape.jcr.cache.change.AbstractSequencingChange
`getOutputPath, getSelectedPath, getSequencerName, getUserId`

Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`getKey, getPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeSequencingFailure

    public NodeSequencingFailure(NodeKey sequencedNodeKey,
                                 Path sequencedNodePath,
                                 String outputPath,
                                 String userId,
                                 String selectedPath,
                                 String sequencerName,
                                 Throwable cause)

Method Detail

### getCause

    public Throwable getCause()

  Get the cause of the failure.

  Returns:
    the exception; never null

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.